<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_learn_all_patterns_ff" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_learnAllPatternsFF - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_learnAllPatternsFF(float*, int, float**, int*);
/*****************************************************************************
  FUNCTION : ann_learn_all_patternsFF
  PURPOSE  :  
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_learn_all_patterns_ff</refname>

    <refpurpose>Learn all pattern pairs using current feed forward learning
    method.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[parameter_out_array] = ann_learn_all_patterns_ff(network, parameter_in_array);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>parameter_in_array</term>

        <listitem>
          <para>Array containing the learning parameter(s).</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>

  <refsection>
    <title>Output parameters</title>

    <variablelist>
      <varlistentry>
        <term>parameter_out_array</term>

        <listitem>
          <para>Results from the learning function.</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>
    Patterns must be loaded before calling this function.

    The backpropagation learning function takes the learning parameter from
    parameterInArray[ 0 ]. parameterOutArray[ 0 ] returns the current net
    error.

    Error if memory allocation has failed or if the parameters are invalid.
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
